## Index

### Modules

- NodeJS
- setImmediate
- setTimeout

### Interfaces

- Buffer
- Console
- Error
- ErrorConstructor
- NodeExtensions
- NodeModule
- NodeRequire
- NodeRequireFunction
- RequireResolve
- String
- SymbolConstructor

### Type aliases

- BufferEncoding

### Variables

- __dirname
- __filename
- console
- exports
- global
- module
- process
- require

### Functions

- clearImmediate
- clearInterval
- clearTimeout
- queueMicrotask
- setInterval

## Type aliases

### BufferEncoding

BufferEncoding: "ascii" | "utf8" | "utf16le" | "ucs2" | "base64" | "latin1" | "binary" | "hex"

- Defined in node_modules/@types/node/globals.d.ts:236

## Variables

### __dirname

__dirname: string

- Defined in node_modules/@types/node/globals.d.ts:167

### __filename

__filename: string

- Defined in node_modules/@types/node/globals.d.ts:166

### Export assignment console

console: Console

- Defined in node_modules/@types/node/globals.d.ts:164

### exports

exports: any

- Defined in node_modules/@types/node/globals.d.ts:233

### global

global: Global

- Defined in node_modules/@types/node/globals.d.ts:163

### module

module: NodeModule

- Defined in node_modules/@types/node/globals.d.ts:230

### Export assignment process

process: Process

- Defined in node_modules/@types/node/globals.d.ts:162

### require

require: NodeRequire

- Defined in node_modules/@types/node/globals.d.ts:217

## Functions

### clearImmediate

- clearImmediate(immediateId: Immediate): void

- - Defined in node_modules/@types/node/globals.d.ts:182

  #### Parameters

  - ##### immediateId: Immediate

  #### Returns void

### clearInterval

- clearInterval(intervalId: Timeout): void

- - Defined in node_modules/@types/node/globals.d.ts:176

  #### Parameters

  - ##### intervalId: Timeout

  #### Returns void

### clearTimeout

- clearTimeout(timeoutId: Timeout): void

- - Defined in node_modules/@types/node/globals.d.ts:174

  #### Parameters

  - ##### timeoutId: Timeout

  #### Returns void

### queueMicrotask

- queueMicrotask(callback: function): void

- - Defined in node_modules/@types/node/globals.d.ts:187
  experimental

  #### Parameters

  - ##### callback: function

    - - (): void

      - #### Returns void

### setInterval

- setInterval(callback: function, ms: number, ...args: any[]): Timeout

- - Defined in node_modules/@types/node/globals.d.ts:175

  #### Parameters

  - ##### callback: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  - ##### ms: number

  - ##### Rest ...args: any[]

  #### Returns Timeout

Generated using TypeDoc